Foreman - Bug #1449

undefined method “join' for "Failed to cancel pending build for vm7603.test.local":String
01/17/2012 03:07 AM - David M.
Description
I'm getting a very strange behavior on my latest foreman installation.

The machine was installed with the latest development snapshot.
| didnt install any hosts with it, yet. | just prepared it for installing solaris.

Foreman is showing the host it is installed in the list of hosts, which is fine. But it's marked as "ready to build". But | didnt start any
build on the maschine. (Why should I, | dont want to delete the foreman-host).
So I tried to cancel that build process, and | get that message:

undefined method "~ join' for "Failed to cancel pending build for vm7603.test.local":String

After reviewing the logs of Rails | found that:

Started POST "/hosts/vm7603.test.local" for 10.110.10.95 at Tue Jan 17 07:52:20 +0000 2012
Processing by HostsController#update as HTML
Parameters: {"commit"=>"Submit", "authenticity_token"=>"15Df/II3jV6YRuURB4jd96B19t46ZsvknND3n5htc
go4=", "utf8"=>"[",
"id"=>"vm7603.test.local", "host"=>{"name"=>"vm7603.test.local", "puppetproxy_id"=>"1", "managed"=
>"r, "comment"=>"",
"puppetmaster_name"=>"vm7603.test.local", "hostgroup_id"=>"1", "enabled"=>"1", "environment_id"=>"
1", "model_id"=>"1", "puppetclass_ids"=>[""]1}}
Failed to save: Domain can't be blank

So | set the domain, and get the next error:

Started GET "/hosts/vm7603.test.local/cancelBuild" for 10.110.10.95 at Tue Jan 17 07:53:02 +0000 2
012

Processing by HostsController#cancelBuild as HTML

Parameters: {"id"=>"vm7603.test.local"}
**DEPRECATION WARNING*** Managing Puppet CA without a smart-proxy will not be supported in the nex
t release
**DEPRECATION WARNING*** Managing TFTP without a smart-proxy will not be supported in the next rel
ease
Failed to save: Environment can't be blank
Operation FAILED: undefined method " Jjoin' for "Failed to cancel pending build for vm7603.test.loca
1":String

| also wonder about the deprecation-warning, because | have a smart-proxy running and it's also configured in the WebUI.

What | expect:

1) The foreman host shouldnt be shown as "ready to install”

2) | shouldnt be able to add hosts or something if important steps are missing. This means: | can not create a host if | haven't create
a domain, environment and so on.

3) | should be able to cancel builds even if there are required information for provisioning is missing. Cancel should always be
possible.

Suggestion:
Maybe an Setup-Wizard would be helpful, so that you have configured everything to install new hosts.

Related issues:

Is duplicate of Foreman - Bug #1455: Canceling Host-Creation fails if Templat... Duplicate 01/18/2012
Has duplicate Foreman - Bug #1308: error when trying to cancel build. Closed 11/09/2011
History

#1-01/18/2012 10:00 AM - Ohad Levy

- Status changed from New to Duplicate

#2-01/18/2012 10:00 AM - Ohad Levy

- Status changed from Duplicate to New

#3 - 01/31/2012 05:56 AM - Ohad Levy

- Status changed from New to Duplicate

#4 - 03/31/2012 05:37 AM - unisiisis unisiisis

David M. wrote:
I'm getting a very strange behavior on my latest foreman installation.

The machine was installed with the latest development snapshot.
| didnt install any hosts with it, yet. | just prepared it for installing solaris.

Foreman is showing the host it is installed in the list of hosts, which is fine. But it's marked as "ready to build". But | didnt start any build on the
maschine. (Why should I, | dont want to delete the foreman-host).
So | tried to cancel that build process, and | get that message:

(-]

After reviewing the logs of Rails | found that:

(-]

So | set the domain, and get the next error:

[--]
| also wonder about the deprecation-warning, because | have a smart-proxy running and it's also configured in the WebUI.

What | expect:

1) The foreman host shouldnt be shown as "ready to install"

2) | shouldnt be able to add hosts or something if important steps are missing. This means: | can not create a host if | haven't create a domain,
environment and so on.

3) I should be able to cancel builds even if there are required information for provisioning is missing. Cancel should always be possible.

Suggestion:
Maybe an Setup-Wizard would be helpful, so that you have configured everything to install new hosts.

will take into account it too.
#5 - 03/31/2012 08:12 AM - apoeleh apoeleh

Pretty fashionable atlantic. | run stumbled upon your authority and desired to say that | somebody rale enjoyed commencement your pass posts. Any
way I'll be subscribing to your supplying and | hap you sterilise again presently
Sex Offenders
